List of all members
clan::ZipWriter Class Reference
clanCore I/O Data

Zip file writer. More...

`#include <zip_writer.h>`

## Public Member Functions
Construction
| ZipWriter (IODevice &output, bool storeFilenamesAsUTF8=false)
| Constructs a ZipWriter. More...
Operations
void | begin_file (const std::string &filename, bool compress)
| Begins file entry in the zip file. More...
void | write_file_data (const void *data, int64_t size)
| Writes some file data to the zip file. More...
void | end_file ()
| Ends the file entry. More...
void | write_toc ()
| Writes the table of contents part of the zip file. More...

## Detailed Description

Zip file writer.

The documentation for this class was generated from the following file:

- zip_writer.h